## yp-svipc 0.14

=== yorick/Makefile ===
#
#  Copyright (C) 2011-2012  Matthieu Bec.
#
#  This file is part of yp-svipc.
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr//lib/yorick
Y_EXE=/usr//lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr//lib/yorick
Y_EXE_SITE=/usr//lib/yorick

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=svipc
PKG_I=svipc.i

OBJS=yorick_svipc.o common_svipc_misc.o common_svipc_shm.o common_svipc_sem.o common_svipc_msq.o


# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS=-I ../common -Wall

#freeBSD/Darwin timedop compat hack
ifneq ($(shell uname),Linux)
PKG_CFLAGS+=-DSVIPC_HACKS
endif

PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

common_svipc_misc.o: ../common/svipc_misc.c ../common/svipc_misc.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c ../common/svipc_misc.c
common_svipc_shm.o: ../common/svipc_shm.c ../common/svipc_shm.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c ../common/svipc_shm.c
common_svipc_sem.o: ../common/svipc_sem.c ../common/svipc_sem.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c ../common/svipc_sem.c
common_svipc_msq.o: ../common/svipc_msq.c ../common/svipc_msq.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c ../common/svipc_msq.c

# -------------------------------------------------------- end of Makefile

=== debian/changelog ===
yp-svipc (0.14-2build4) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 14:46:35 +0100

yp-svipc (0.14-2build3) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:28:26 +0000

yp-svipc (0.14-2build2) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:16:56 +0000

yp-svipc (0.14-2build1) raring; urgency=low

  * No-change upload to build for python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Oct 2012 15:23:31 +0200

yp-svipc (0.14-2) unstable; urgency=low

  * Bug fix: "don't rely on yorick to pass the fortified build flags"
    (Closes: #680216).
  * Bug fix: "FTBFS on kfreebsd-i386 and kfreebsd-amd64: "conflicting
    types for semtimedop"" (Closes: #679919). Involves a patch for the
    Python modules (fix_679919_kFreeBSD_FTBFS) and passing PKG_CFLAGS when
    building the Yorick plug-in.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 11 Jul 2012 13:41:39 +0200

yp-svipc (0.14-1) unstable; urgency=low

  * Initial release (Closes: #668841)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 22 Jun 2012 11:25:24 +0200

=== debian/control ===
Source: yp-svipc
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 9),
               python-all-dev (>= 2.6.6-3~), python-numpy (>=1:1.4.1-4~),
               python3-all-dev, python3-numpy,
               yorick-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/debian-science/packages/yp-svipc.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yp-svipc.git
Homepage: https://github.com/mdcb/yp-svipc

Package: yorick-svipc
Architecture: any
Depends: yorick, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-svipc, python3-svipc
Description: interprocess communication (shared memory...) for Yorick
 This package allows one to access the System V Interprocess
 communication mechanisms from within Yorick:
   + message queues;
   + semaphore sets;
   + shared memory segments.
 It also exposes related functionality, in particular fork().
 .
 This plug-in serves primarily two use cases:
   + parallel (multiprocess) computing;
   + mixed applications (eg. yorick/python).
 .
 Sibling packages are available for Python: python-svipc and
 python3-svipc.

Package: python-svipc
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: yorick-svipc, python3-svipc
Description: interprocess communication (shared memory...) for Python
 This package allows one to access the System V Interprocess
 communication mechanisms from within Python:
   + message queues;
   + semaphore sets;
   + shared memory segments.
 .
 This plug-in serves primarily two use cases:
   + parallel (multiprocess) computing;
   + mixed applications (e.g. python/yorick).
 .
 A sibling package is available for Yorick: yorick-svipc

Package: python3-svipc
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: yorick-svipc, python-svipc
Description: interprocess communication (shared memory...) for Python 3
 This package allows one to access the System V Interprocess
 communication mechanisms from within Python 3:
   + message queues;
   + semaphore sets;
   + shared memory segments.
 .
 This plug-in serves primarily two use cases:
   + parallel (multiprocess) computing;
   + mixed applications (e.g. python/yorick).
 .
 A sibling package is available for Yorick: yorick-svipc

=== debian/watch ===
version=3
https://github.com/mdcb/yp-svipc/tags .*/tarball/(\d[\d\.]+)

## yp-svipc 0.15

=== debian/changelog ===
yp-svipc (0.15-2) unstable; urgency=low

  * New patch to build on kfreebsd (Closes: #750812)

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 7 Jun 2014 21:38:49 +0200

yp-svipc (0.15-1) unstable; urgency=low

  * New upstream release
  * Update control (maintainer address, Standards Version...)

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 31 Mar 2014 12:14:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: yp-svipc
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 9),
                python-all-dev (>= 2.6.6-3~), python-numpy (>=1:1.4.1-4~),
                python3-all-dev, python3-numpy,
                yorick-dev
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/debian-science/packages/yp-svipc.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yp-svipc.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/yp-svipc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yp-svipc.git
 Homepage: https://github.com/mdcb/yp-svipc
 
 Package: yorick-svipc

## yp-svipc 0.16

=== yorick/Makefile ===
--- 
+++ 
@@ -18,11 +18,12 @@
 #
 
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr//lib/yorick
-Y_EXE=/usr//lib/yorick/bin/yorick
+Y_MAKEDIR=/export/home/mdcb/work/webrepos/yorick/relocate
+Y_EXE=/export/home/mdcb/work/webrepos/yorick/relocate/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr//lib/yorick
-Y_EXE_SITE=/usr//lib/yorick
+Y_EXE_HOME=/export/home/mdcb/work/webrepos/yorick/relocate
+Y_EXE_SITE=/export/home/mdcb/work/webrepos/yorick/relocate
+Y_HOME_PKG=
 
 # ----------------------------------------------------- optimization flags
 
@@ -45,11 +46,6 @@
 PKG_DEPLIBS=
 # set compiler (or rarely loader) flags specific to this package
 PKG_CFLAGS=-I ../common -Wall
-
-#freeBSD/Darwin timedop compat hack
-ifneq ($(shell uname),Linux)
-PKG_CFLAGS+=-DSVIPC_HACKS
-endif
 
 PKG_LDFLAGS=

=== debian/changelog ===
yp-svipc (0.16-7build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:10:19 +0000

yp-svipc (0.16-7build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:45:52 +0000

yp-svipc (0.16-7build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:48:17 +0000

yp-svipc (0.16-7build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:35:10 +0100

yp-svipc (0.16-7) unstable; urgency=medium

  * Team Upload
  * Add explicit dependency on python3-setuptools (Closes: #1080845)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 09 Nov 2024 23:36:00 +0100

yp-svipc (0.16-6) unstable; urgency=medium

  * Team Upload
  * Build with modern setuptools (Closes: #1069223)
  * Switch to DebHelper 13
  * Remove Python 2 files
  * Set Rules-Requires-Root: no
  * d/watch: use v4
  * d/copyright: use https for URL

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jul 2024 14:57:47 +0200

yp-svipc (0.16-5) unstable; urgency=high

  * Explicitly build-depends on dh-python
  * Check against Policy 4.4.1 (no changes required)

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 18 Nov 2019 15:39:07 +0100

yp-svipc (0.16-4) unstable; urgency=low

  * Bug fix: "Python2 removal in sid/bullseye", thanks to Matthias Klose
    (Closes: #938869).
  * Check against Policy 4.4.0 (no changes).

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 28 Sep 2019 09:40:33 +0200

yp-svipc (0.16-3) unstable; urgency=high

  * Bug fix: "FTBFS: python/svipc_module.c:869:28: error: expected
    expression before &#39;)&#39; token", thanks to Lucas Nussbaum
    (Closes: #917672).

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 09 Jan 2019 12:37:34 +0100

yp-svipc (0.16-2) unstable; urgency=low

  * Merge again the changes of 0.15-2, which where left behind by 0.16-1

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 03 Oct 2014 10:08:38 +0200

yp-svipc (0.16-1) unstable; urgency=low

  * New upstream release
  * Check against Policy 3.9.6

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 02 Oct 2014 17:37:42 +0200

=== debian/control ===
Source: yp-svipc
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               yorick-dev
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/science-team/yp-svipc.git
Vcs-Browser: https://salsa.debian.org/science-team/yp-svipc
Homepage: https://github.com/mdcb/yp-svipc

Package: yorick-svipc
Architecture: any
Depends: yorick, ${shlibs:Depends}, ${misc:Depends}
Suggests: python3-svipc
Description: interprocess communication (shared memory...) for Yorick
 This package allows one to access the System V Interprocess
 communication mechanisms from within Yorick:
   + message queues;
   + semaphore sets;
   + shared memory segments.
 It also exposes related functionality, in particular fork().
 .
 This plug-in serves primarily two use cases:
   + parallel (multiprocess) computing;
   + mixed applications (eg. yorick/python).
 .
 A sibling package is available for Python (python3-svipc).

Package: python3-svipc
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: yorick-svipc
Description: interprocess communication (shared memory...) for Python 3
 This package allows one to access the System V Interprocess
 communication mechanisms from within Python 3:
   + message queues;
   + semaphore sets;
   + shared memory segments.
 .
 This plug-in serves primarily two use cases:
   + parallel (multiprocess) computing;
   + mixed applications (e.g. python/yorick).
 .
 A sibling package is available for Yorick: yorick-svipc

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS += $(CPPFLAGS)

%:
	dh $@ --buildsystem=pybuild

yorick/Makefile.orig:
	cp -n yorick/Makefile yorick/Makefile.orig
yorick-configure: yorick/Makefile.orig
	cd yorick; yorick -batch make.i
override_dh_auto_configure: yorick-configure
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(shell py3versions -r); do \
	  $$python setup.py build; \
	done;
	cd yorick; make COPT_DEFAULT="" \
	                Y_CFLAGS="$(CFLAGS)" \
	                Y_LDFLAGS="$(LDFLAGS)" \
	                PKG_CFLAGS="-I ../common"

override_dh_auto_install:
	dh_auto_install
	dh_numpy3 -ppython3-svipc
#	set -ex; for python in $(shell py3versions -r); do \
#	  $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
#	done;
	dh_installyorick --no-make-install

override_dh_auto_clean: yorick-configure
	dh_auto_clean
	rm -Rf build
	cd yorick; make distclean; mv Makefile.orig Makefile

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/mdcb/yp-svipc/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
